Get Timeseries
curl --request GET \
--url https://api.example.com/api/v1/users/{user_id}/timeseries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/users/{user_id}/timeseries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/users/{user_id}/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"timestamp": "2023-11-07T05:31:56Z",
"type": "heart_rate",
"value": 123,
"unit": "<string>",
"zone_offset": "+01:00",
"source": {
"provider": "apple",
"device_name": "<string>",
"source": "Connect",
"device": "iPhone15,2",
"device_type": "phone"
},
"is_daily_total": true
}
],
"pagination": {
"has_more": true,
"next_cursor": "eyJpZCI6IjEyMzQ1Njc4OTAiLCJ0cyI6MTcwNDA2NzIwMH0",
"previous_cursor": "<string>",
"total_count": 150
},
"metadata": {
"resolution": "raw",
"sample_count": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Timeseries
Get Timeseries
Returns granular time series data (biometrics or activity).
GET
/
api
/
v1
/
users
/
{user_id}
/
timeseries
Get Timeseries
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Query Parameters
ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and normalized to midnight UTC.
Examples:
"2023-11-07T05:31:56Z"
"2023-11-07"
ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and normalized to midnight UTC.
Examples:
"2023-11-07T05:31:56Z"
"2023-11-07"
All supported time-series metric types.
Available options:
heart_rate, resting_heart_rate, heart_rate_variability_sdnn, heart_rate_recovery_one_minute, walking_heart_rate_average, heart_rate_variability_rmssd, oxygen_saturation, blood_glucose, blood_pressure_systolic, blood_pressure_diastolic, respiratory_rate, sleeping_breathing_disturbances, breathing_disturbance_index, blood_alcohol_content, peripheral_perfusion_index, forced_vital_capacity, forced_expiratory_volume_1, peak_expiratory_flow_rate, height, weight, body_fat_percentage, body_mass_index, lean_body_mass, body_temperature, skin_temperature, skin_temperature_deviation, skin_temperature_trend_deviation, waist_circumference, body_fat_mass, skeletal_muscle_mass, vo2_max, six_minute_walk_test_distance, cardiovascular_age, steps, energy, basal_energy, stand_time, exercise_time, physical_effort, flights_climbed, average_met, active_time, distance_walking_running, distance_cycling, distance_swimming, distance_downhill_snow_sports, distance_other, walking_step_length, walking_speed, walking_double_support_percentage, walking_asymmetry_percentage, walking_steadiness, stair_descent_speed, stair_ascent_speed, running_power, running_speed, running_vertical_oscillation, running_ground_contact_time, running_stride_length, running_vertical_ratio, running_stance_time_balance, swimming_stroke_count, underwater_depth, cadence, power, speed, workout_effort_score, estimated_workout_effort_score, environmental_audio_exposure, headphone_audio_exposure, environmental_sound_reduction, time_in_daylight, water_temperature, uv_exposure, inhaler_usage, weather_temperature, weather_humidity, elevation, latitude, longitude, air_temperature, garmin_stress_level, garmin_skin_temperature, garmin_fitness_age, garmin_body_battery, electrodermal_activity, push_count, atrial_fibrillation_burden, insulin_delivery, number_of_times_fallen, number_of_alcoholic_beverages, nike_fuel, hydration Available options:
raw, 1min, 5min, 15min, 1hour Required range:
1 <= x <= 100Was this page helpful?

